# $Revision: 1.33 $, $Date: 2006/12/26 13:07:40 $
%include	/usr/lib/rpm/macros.php
%define		_class		XML
%define		_subclass	Util
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}

Summary:	%{_pearname} - XML utility class
Summary(pl):	%{_pearname} - klasa narzdziowa do obrbki XML-a
Name:		php-pear-%{_pearname}
Version:	1.1.4
Release:	1
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	5b28a79000d47f2bde73c10ca191e402
URL:		http://pear.php.net/package/XML_Util/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(pcre)
Requires:	php-common >= 3:4.2.0
Requires:	php-pear
Requires:	php-pear-PEAR-core
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Selection of methods that are often needed when working with XML
documents. Functionality includes creating of attribute lists from
arrays, creation of tags, validation of XML names and more.

In PEAR status of this package is: %{_status}.

%description -l pl
Zbir metod czsto stosowanych podczas pracy z dokumentami XML.
Moliwo midzy innymi tworzenia listy atrybutw z tablic, tworzenia
tagw, sprawdzania poprawnoci nazw XML oraz wiele innych.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/examples
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/%{_class}/*.php

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-XML_Util.spec,v $
Revision 1.33  2006/12/26 13:07:40  adamg
- updated to 1.1.4

Revision 1.32  2006/11/21 19:57:01  glen
- rel 4: use php(extension) virtuals

Revision 1.31  2006/05/23 20:18:15  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.30  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.29  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.28  2006/02/16 18:56:36  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.27  2005/10/05 20:59:19  glen
- rel 2

Revision 1.26  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.25  2005/09/19 21:43:40  glen
- integer BR

Revision 1.24  2005/09/19 18:43:56  glen
- merged from DEVEL: use new pear packaging system

Revision 1.23.2.2  2005/09/19 17:36:33  glen
- macros moved to rpm-build

Revision 1.23.2.1  2005/09/18 18:55:51  glen
- use php-pear-build

Revision 1.23  2004/12/23 15:13:22  adamg
- updated to 1.1.1

Revision 1.22  2004/12/04 14:29:44  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.21  2004/11/19 19:42:56  adamg
- updated to 1.1.0

Revision 1.20  2004/10/30 06:58:26  adamg
- updated to 1.0.0

Revision 1.19  2004/07/08 19:19:22  adamg
- updated to 0.6.1

Revision 1.18  2004/06/10 17:52:08  adamg
- updated to 0.6.0

Revision 1.17  2004/05/30 13:13:54  adamg
- fixed english information about status of the package

Revision 1.16  2004/03/15 17:44:32  ankry
- massive cosmetics

Revision 1.15  2003/11/22 20:49:26  adamg
- updated to 0.5.2

Revision 1.14  2003/10/07 20:56:49  adamg
- do not use macros in URL

Revision 1.13  2003/09/27 10:19:48  adamg
- updated to 0.5.1

Revision 1.12  2003/09/23 09:46:13  adamg
- updated to 0.5

Revision 1.11  2003/09/21 15:04:43  adamg
- updated to 0.4

Revision 1.10  2003/09/12 11:32:23  adamg
- updated to 0.3

Revision 1.9  2003/09/07 23:20:10  adamg
- updated to 0.2.1

Revision 1.8  2003/08/31 20:49:12  adamg
- more specific URL

Revision 1.7  2003/08/13 10:50:10  adamg
- updated to 0.2

Revision 1.6  2003/08/03 20:36:32  adamg
- removed R: php-pcre - php-pear requires it (which is requires by all pear
  packages) - thanks to blues for pointing that one

Revision 1.5  2003/08/03 11:06:51  adamg
- Requires: php-pcre

Revision 1.4  2003/08/03 09:39:03  adamg
- updated to 0.1.1

Revision 1.3  2003/08/02 21:30:41  qboosh
- pl summary

Revision 1.2  2003/08/02 12:14:39  adamg
- cut off template changelog

Revision 1.1  2003/08/02 12:13:10  adamg
- initial import
